Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransactionImpl

    java.lang.Object
      com.beasys.commerce.foundation.EntityImpl
          com.beasys.commerce.ebusiness.payment.PaymentTransactionImpl

All Implemented Interfaces
  RelationalReference, Serializable, javax.ejb.EnterpriseBean, javax.ejb.EntityBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PaymentTransactionImpl

extends EntityImpl

This class holds data common to all the transaction types. The PaymentTransactionManager uses this class to pass along to the payment service provider - reqeusts made by the client.

     Primary Key = com.beasys.commerce.ebusiness.payment.PaymentTransactionPk

See Also
  `PaymentTransaction`, `PaymentTransactionHome`, `PaymentTransactionValue`, Serialized Form

Field Summary
`String` | `batchId` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.CreditCard` | `creditCard` Deprecated See BEA Commerce product offering
`WorkflowContext` | `status` Deprecated See BEA Commerce product offering
`Workflow` | `statusWorkflow` Deprecated See BEA Commerce product offering
`Price` | `transactionAmount` Deprecated See BEA Commerce product offering
`Date` | `transactionDate` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `transactionEntry` Deprecated See BEA Commerce product offering
`String` | `transactionId` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.EntityImpl
`__classIdentifier, __containingEntity, __mapKey, __sequenceNumber, _ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty, _smartBMP`

Constructor Summary
`PaymentTransactionImpl()` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `addTransactionEntry(TransactionEntry element)` Deprecated See BEA Commerce product offering
`boolean` | `addTransactionEntryCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `authorize()` Deprecated See BEA Commerce product offering
`protected void` | `bscInitializeAttributes(PaymentTransactionPk paymentTransactionPk)` Deprecated See BEA Commerce product offering
`void` | `clearTransactionEntryCollection()` Deprecated See BEA Commerce product offering
`boolean` | `containsTransactionEntry(TransactionEntry element)` Deprecated See BEA Commerce product offering
`boolean` | `containsTransactionEntryCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`PaymentTransactionPk` | `ejbCreate(PaymentTransactionPk paymentTransactionPk)` Deprecated See BEA Commerce product offering
`PaymentTransactionPk` | `ejbFindByPrimaryKey(PaymentTransactionPk pk)` Deprecated See BEA Commerce product offering
`Collection` | `ejbFindByStatus(String status)` Deprecated See BEA Commerce product offering
`void` | `ejbLoad()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate(PaymentTransactionPk paymentTransactionPk)` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`void` | `ejbStore()` Deprecated See BEA Commerce product offering
`boolean` | `equalsTransactionEntryCollection(Object object)` Deprecated See BEA Commerce product offering
`void` | `failRetry()` Deprecated See BEA Commerce product offering
`void` | `failSettle()` Deprecated See BEA Commerce product offering
`String` | `getBatchId()` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.CreditCard` | `getCreditCard()` Deprecated See BEA Commerce product offering
`PaymentTransactionValue` | `getPaymentTransactionByValue()` Deprecated See BEA Commerce product offering
`String` | `getStatus()` Deprecated See BEA Commerce product offering
`protected Workflow` | `getStatusWorkflow()` Deprecated See BEA Commerce product offering
`String` | `getStatusWorkflowName()` Deprecated See BEA Commerce product offering
`Price` | `getTransactionAmount()` Deprecated See BEA Commerce product offering
`Date` | `getTransactionDate()` Deprecated See BEA Commerce product offering
`Collection` | `getTransactionEntryCollection()` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `getTransactionEntryCollectionReference()` Deprecated See BEA Commerce product offering
`String` | `getTransactionId()` Deprecated See BEA Commerce product offering
`boolean` | `isTransactionEntryCollectionEmpty()` Deprecated See BEA Commerce product offering
`void` | `markForSettle()` Deprecated See BEA Commerce product offering
`void` | `pendingSettle()` Deprecated See BEA Commerce product offering
`void` | `queryFail()` Deprecated See BEA Commerce product offering
`void` | `querySuccess()` Deprecated See BEA Commerce product offering
`void` | `reject()` Deprecated See BEA Commerce product offering
`boolean` | `removeTransactionEntry(TransactionEntry element)` Deprecated See BEA Commerce product offering
`boolean` | `removeTransactionEntryCollection(Collection collection)` Deprecated See BEA Commerce product offering
`boolean` | `retainTransactionEntryCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setBatchId(String batchId)` Deprecated See BEA Commerce product offering
`void` | `setCreditCard(com.beasys.commerce.axiom.contact.CreditCard creditCard)` Deprecated See BEA Commerce product offering
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` Deprecated See BEA Commerce product offering
`void` | `setPaymentTransactionByValue(PaymentTransactionValue value)` Deprecated See BEA Commerce product offering
`void` | `settle()` Deprecated See BEA Commerce product offering
`void` | `setTransactionAmount(Price transactionAmount)` Deprecated See BEA Commerce product offering
`void` | `setTransactionDate(Date transactionDate)` Deprecated See BEA Commerce product offering
`void` | `setTransactionEntryCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setTransactionEntryCollectionReference(SmartCollectionReference smartCollectionReference)` Deprecated See BEA Commerce product offering
`void` | `setTransactionId(String value)` Deprecated See BEA Commerce product offering
`void` | `systemFailure()` Deprecated See BEA Commerce product offering
`int` | `transactionEntryCollectionHashCode()` Deprecated See BEA Commerce product offering
`Iterator` | `transactionEntryCollectionIterator()` Deprecated See BEA Commerce product offering
`int` | `transactionEntryCollectionSize()` Deprecated See BEA Commerce product offering
`void` | `unsetEntityContext()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.EntityImpl
`bscInitializeAttributes, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, ejbCreate, ejbFindAll, ejbFindByPrimaryKey, ejbPostCreate, enumerateRelationalBinding, enumerateRelationalBinding, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getEntityContext, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSmartBMP, initSmartBMP, isModified, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactionId

    public String transactionId

  Deprecated See BEA Commerce product offering
  The order of which this transaction is a part.
  - Containment: By Value
  - Multiplicity: 1:1
  - PRIMARY KEY FIELD

### creditCard

    public com.beasys.commerce.axiom.contact.CreditCard creditCard

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### transactionDate

    public Date transactionDate

  Deprecated See BEA Commerce product offering
  The date of the transaction.
  - Containment: By Value
  - Multiplicity: 1:1

### transactionEntry

    public SmartCollectionReference transactionEntry

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Collection

### batchId

    public String batchId

  Deprecated See BEA Commerce product offering
  The batchId attribute is populated after a batch-commit request for the transaction has returned successfully. It is then used to query the Payment Service for the results of a settled transaction.
  - Containment: By Value
  - Multiplicity: 1:1

### status

    public WorkflowContext status

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1
  - WORKFLOW

### statusWorkflow

    public transient Workflow statusWorkflow

  Deprecated See BEA Commerce product offering

### transactionAmount

    public Price transactionAmount

  Deprecated See BEA Commerce product offering
  In case of partial transcation(ie. return, cancel or settlement) this represents remainng transacation amount.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### PaymentTransactionImpl

    public PaymentTransactionImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getPaymentTransactionByValue

    public PaymentTransactionValue getPaymentTransactionByValue()

  Deprecated See BEA Commerce product offering

  Get all of PaymentTransaction's attributes.

  Returns
    PaymentTransactionValue the PaymentTransaction value object

### setPaymentTransactionByValue

    public void setPaymentTransactionByValue(PaymentTransactionValue value)

  Deprecated See BEA Commerce product offering

  Set all of PaymentTransaction's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `PaymentTransactionValue` - the PaymentTransaction value object

### ejbCreate

    public PaymentTransactionPk ejbCreate(PaymentTransactionPk paymentTransactionPk)
                                   throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### bscInitializeAttributes

    protected void bscInitializeAttributes(PaymentTransactionPk paymentTransactionPk)
                                    throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate(PaymentTransactionPk paymentTransactionPk)
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbLoad method.

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbLoad` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbStore method.

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbStore` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.RemoveException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbRemove` in class `EntityImpl`
  Throws
    `javax.ejb.RemoveException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbActivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbPassivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  setEntityContext method.

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `setEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  unsetEntityContext method.

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `unsetEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbFindByPrimaryKey

    public PaymentTransactionPk ejbFindByPrimaryKey(PaymentTransactionPk pk)
                                             throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.FinderException`

### getCreditCard

    public com.beasys.commerce.axiom.contact.CreditCard getCreditCard()

  Deprecated See BEA Commerce product offering

  Get the value of creditCard

  Returns
    creditCard.

### setCreditCard

    public void setCreditCard(com.beasys.commerce.axiom.contact.CreditCard creditCard)

  Deprecated See BEA Commerce product offering

  Set the value of creditCard

  Parameters
    `creditCard` - creditCard to be added

### getTransactionDate

    public Date getTransactionDate()

  Deprecated See BEA Commerce product offering

  Get the value of transactionDate

  Returns
    transactionDate.

### setTransactionDate

    public void setTransactionDate(Date transactionDate)

  Deprecated See BEA Commerce product offering

  Set the value of transactionDate

  Parameters
    `transactionDate` - transactionDate to be added

### getTransactionEntryCollectionReference

    public SmartCollectionReference getTransactionEntryCollectionReference()

  Deprecated See BEA Commerce product offering

  Get the SmartCollectionReference for transactionEntry

### setTransactionEntryCollectionReference

    public void setTransactionEntryCollectionReference(SmartCollectionReference smartCollectionReference)

  Deprecated See BEA Commerce product offering

  Set the SmartCollectionReference for transactionEntry

### getTransactionEntryCollection

    public Collection getTransactionEntryCollection()

  Deprecated See BEA Commerce product offering

  Returns a deep copy of the entire collection

### setTransactionEntryCollection

    public void setTransactionEntryCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Sets the entire collection

### addTransactionEntry

    public boolean addTransactionEntry(TransactionEntry element)

  Deprecated See BEA Commerce product offering

  Ensures that this collection contains the specified element (optional operation).

### addTransactionEntryCollection

    public boolean addTransactionEntryCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Adds all of the elements in the specified collection to this collection (optional operation).

### clearTransactionEntryCollection

    public void clearTransactionEntryCollection()

  Deprecated See BEA Commerce product offering

  Removes all of the elements from this collection (optional operation).

### containsTransactionEntry

    public boolean containsTransactionEntry(TransactionEntry element)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains the specified element.

### containsTransactionEntryCollection

    public boolean containsTransactionEntryCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains all of the elements in the specified collection.

### equalsTransactionEntryCollection

    public boolean equalsTransactionEntryCollection(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this collection for equality.

### transactionEntryCollectionHashCode

    public int transactionEntryCollectionHashCode()

  Deprecated See BEA Commerce product offering

  Returns the hash code value for this collection.

### isTransactionEntryCollectionEmpty

    public boolean isTransactionEntryCollectionEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains no elements.

### transactionEntryCollectionIterator

    public Iterator transactionEntryCollectionIterator()

  Deprecated See BEA Commerce product offering

  Returns an iterator over the elements in this collection.

### removeTransactionEntry

    public boolean removeTransactionEntry(TransactionEntry element)

  Deprecated See BEA Commerce product offering

  Removes a single instance of the specified element from this collection, if it is present (optional operation).

### removeTransactionEntryCollection

    public boolean removeTransactionEntryCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Removes all this collection's elements that are also contained in the specified collection (optional operation).

### retainTransactionEntryCollection

    public boolean retainTransactionEntryCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Retains only the elements in this collection that are contained in the specified collection (optional operation).

### transactionEntryCollectionSize

    public int transactionEntryCollectionSize()

  Deprecated See BEA Commerce product offering

  Returns the number of elements in this collection.

### getBatchId

    public String getBatchId()

  Deprecated See BEA Commerce product offering

  Get the value of batchId

  Returns
    batchId.

### setBatchId

    public void setBatchId(String batchId)

  Deprecated See BEA Commerce product offering

  Set the value of batchId

  Parameters
    `batchId` - batchId to be added

### getStatusWorkflowName

    public String getStatusWorkflowName()

  Deprecated See BEA Commerce product offering

  Returns the workflow classname that status uses. Currently, this is set to "com.beasys.commerce.ebusiness.payment.PaymentWorkflow". You may override this by extending this class. This method is used internally by the BSCs.

### getStatus

    public String getStatus()

  Deprecated See BEA Commerce product offering

  Returns the current state name of the com.beasys.commerce.ebusiness.payment.PaymentWorkflow workflow

### getStatusWorkflow

    protected Workflow getStatusWorkflow()

  Deprecated See BEA Commerce product offering

  returns the Workflow status. If this is null, creates the workflow and resets it.

  Throws
    `WorkflowInstantiationException` - could not instantiate workflow

### getTransactionId

    public String getTransactionId()

  Deprecated See BEA Commerce product offering

### setTransactionId

    public void setTransactionId(String value)

  Deprecated See BEA Commerce product offering

### getTransactionAmount

    public Price getTransactionAmount()

  Deprecated See BEA Commerce product offering

  Get the value of transactionAmount

  Returns
    transactionAmount.

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Deprecated See BEA Commerce product offering

  Set the value of transactionAmount

  Parameters
    `transactionAmount` - transactionAmount to be added

### authorize

    public void authorize()
                   throws WorkflowInstantiationException,
                          IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### reject

    public void reject()
                throws WorkflowInstantiationException,
                       IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### failSettle

    public void failSettle()
                    throws WorkflowInstantiationException,
                           IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### markForSettle

    public void markForSettle()
                       throws WorkflowInstantiationException,
                              IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### settle

    public void settle()
                throws WorkflowInstantiationException,
                       IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### pendingSettle

    public void pendingSettle()
                       throws WorkflowInstantiationException,
                              IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### querySuccess

    public void querySuccess()
                      throws WorkflowInstantiationException,
                             IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### queryFail

    public void queryFail()
                   throws WorkflowInstantiationException,
                          IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### systemFailure

    public void systemFailure()
                       throws WorkflowInstantiationException,
                              IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### failRetry

    public void failRetry()
                   throws WorkflowInstantiationException,
                          IllegalWorkflowTransitionException

  Deprecated See BEA Commerce product offering

  Throws
    `WorkflowInstantiationException`
    `IllegalWorkflowTransitionException`

### ejbFindByStatus

    public Collection ejbFindByStatus(String status)
                               throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Finds transactions by status.

  Throws
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved